package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("慢性病基础表")
public class HealthChronicVo {
   @ApiModelProperty("慢性病id")
   private Long chronicId;
   @ApiModelProperty("慢性病名称")
   private String chronicName;

   public HealthChronicVo() {
   }

   public static HealthChronicVoBuilder builder() {
      return new HealthChronicVoBuilder();
   }

   public Long getChronicId() {
      return this.chronicId;
   }

   public String getChronicName() {
      return this.chronicName;
   }

   public void setChronicId(final Long chronicId) {
      this.chronicId = chronicId;
   }

   public void setChronicName(final String chronicName) {
      this.chronicName = chronicName;
   }

   public String toString() {
      Long var10000 = this.getChronicId();
      return "HealthChronicVo(chronicId=" + var10000 + ", chronicName=" + this.getChronicName() + ")";
   }

   public HealthChronicVo(final Long chronicId, final String chronicName) {
      this.chronicId = chronicId;
      this.chronicName = chronicName;
   }

   public static class HealthChronicVoBuilder {
      private Long chronicId;
      private String chronicName;

      HealthChronicVoBuilder() {
      }

      public HealthChronicVoBuilder chronicId(final Long chronicId) {
         this.chronicId = chronicId;
         return this;
      }

      public HealthChronicVoBuilder chronicName(final String chronicName) {
         this.chronicName = chronicName;
         return this;
      }

      public HealthChronicVo build() {
         return new HealthChronicVo(this.chronicId, this.chronicName);
      }

      public String toString() {
         return "HealthChronicVo.HealthChronicVoBuilder(chronicId=" + this.chronicId + ", chronicName=" + this.chronicName + ")";
      }
   }
}
